<?php
/**
 * Represents the view for the administration dashboard.
 *
 * This includes the header, options, and other information that should provide
 * The User Interface to the end user.
 *
 * @package   Utm_Switcher
 * @author    David Alberts and Jeff Shamley <mrrockgroin@gmail.com>
 * @license   GPL-2.0+
 * @link      https://jeffshamley.com
 * @copyright 2016 
 */
?>

<div class="wrap">

    <h2><?php echo esc_html( get_admin_page_title() ); ?></h2>

    <div id="tabs" class="settings-tab">
	<ul>
	    <li><a href="#tabs-1"><?php _e( 'Settings' ); ?></a></li>
	    <li><a href="#tabs-2"><?php _e( 'Settings 2', $this->plugin_slug ); ?></a></li>
	    <li><a href="#tabs-3"><?php _e( 'Import/Export', $this->plugin_slug ); ?></a></li>
	</ul>
	<div id="tabs-1" class="wrap">
            <?php 
           $utm_switcher = Utm_Switcher::get_instance();
           
           d($utm_switcher->get_switchers());
?>
	    <!-- @TODO: Provide other markup for your options page here. -->
	</div>
	<div id="tabs-2" class="wrap">

	    <!-- @TODO: Provide other markup for your options page here. -->
	</div>
	<div id="tabs-3" class="metabox-holder">
	    <div class="postbox">
		<h3 class="hndle"><span><?php _e( 'Export Settings', $this->plugin_slug ); ?></span></h3>
		<div class="inside">
		    <p><?php _e( 'Export the plugin settings for this site as a .json file. This allows you to easily import the configuration into another site.', $this->plugin_slug ); ?></p>
		    <form method="post">
			<p><input type="hidden" name="us_action" value="export_settings" /></p>
			<p>
			    <?php wp_nonce_field( 'us_export_nonce', 'us_export_nonce' ); ?>
			    <?php submit_button( __( 'Export' ), 'secondary', 'submit', false ); ?>
			</p>
		    </form>
		</div>
	    </div>

	    <div class="postbox">
		<h3 class="hndle"><span><?php _e( 'Import Settings', $this->plugin_slug ); ?></span></h3>
		<div class="inside">
		    <p><?php _e( 'Import the plugin settings from a .json file. This file can be obtained by exporting the settings on another site using the form above.', $this->plugin_slug ); ?></p>
		    <form method="post" enctype="multipart/form-data">
			<p>
			    <input type="file" name="us_import_file"/>
			</p>
			<p>
			    <input type="hidden" name="us_action" value="import_settings" />
			    <?php wp_nonce_field( 'us_import_nonce', 'us_import_nonce' ); ?>
			    <?php submit_button( __( 'Import' ), 'secondary', 'submit', false ); ?>
			</p>
		    </form>
		</div>
	    </div>
	</div>
    </div>

    <div class="right-column-settings-page metabox-holder">
	<div class="postbox">
	    <h3 class="hndle"><span><?php _e( 'UTM Switcher', $this->plugin_slug ); ?></span></h3>
	    <div class="inside">
		<a href="https://github.com/Mte90/WordPress-Plugin-Boilerplate-Powered"><img src="https://github.com/Mte90/WordPress-Plugin-Boilerplate-Powered/raw/master/utm-switcher/assets/icon-256x256.png" alt=""></a>
	    </div>
	</div>
    </div>
</div>
