<?php

function utm_switcher_init() {
	register_post_type( 'utm_switcher', array(
		'labels'            => array(
			'name'                => __( 'UTM Switch', 'utm-switcher' ),
			'singular_name'       => __( 'UTM Switcher', 'utm-switcher' ),
			'all_items'           => __( 'All UTM Switchers', 'utm-switcher' ),
			'new_item'            => __( 'New UTM Switcher', 'utm-switcher' ),
			'add_new'             => __( 'Add New', 'utm-switcher' ),
			'add_new_item'        => __( 'Add New UTM Switcher', 'utm-switcher' ),
			'edit_item'           => __( 'Edit UTM Switcher', 'utm-switcher' ),
			'view_item'           => __( 'View UTM Switcher', 'utm-switcher' ),
			'search_items'        => __( 'Search UTM Switchers', 'utm-switcher' ),
			'not_found'           => __( 'No UTM Switchers found', 'utm-switcher' ),
			'not_found_in_trash'  => __( 'No UTM Switchers found in trash', 'utm-switcher' ),
			'parent_item_colon'   => __( 'Parent UTM Switcher', 'utm-switcher' ),
			'menu_name'           => __( 'UTM switchers', 'utm-switcher' ),
		),
		'public'            => false,
		'hierarchical'      => false,
		'show_ui'           => true,
		'show_in_nav_menus' => false,
		'supports'          => array( 'title', 'custom-fields' ),
		'has_archive'       => false,
		'rewrite'           => true,
		'query_var'         => true,
		'menu_icon'         => 'dashicons-randomize',
	) );

}
add_action( 'init', 'utm_switcher_init' );

function utm_switcher_updated_messages( $messages ) {
	global $post;

	$permalink = get_permalink( $post );

	$messages['utm_switcher'] = array(
		0 => '', // Unused. Messages start at index 1.
		1 => sprintf( __('UTM switcher updated.', 'utm-switcher'), esc_url( $permalink ) ),
		2 => __('Custom field updated.', 'utm-switcher'),
		3 => __('Custom field deleted.', 'utm-switcher'),
		4 => __('UTM switcher updated.', 'utm-switcher'),
		/* translators: %s: date and time of the revision */
		5 => isset($_GET['revision']) ? sprintf( __('UTM switcher restored to revision from %s', 'utm-switcher'), wp_post_revision_title( (int) $_GET['revision'], false ) ) : false,
		6 => sprintf( __('UTM switcher published.', 'utm-switcher'), esc_url( $permalink ) ),
		7 => __('UTM switcher saved.', 'utm-switcher'),
		8 => sprintf( __('UTM switcher submitted. ', 'utm-switcher'), esc_url( add_query_arg( 'preview', 'true', $permalink ) ) ),
		9 => sprintf( __('UTM switcher scheduled for: <strong>%1$s</strong>.', 'utm-switcher'),
		// translators: Publish box date format, see http://php.net/date
		date_i18n( __( 'M j, Y @ G:i' ), strtotime( $post->post_date ) ), esc_url( $permalink ) ),
		10 => sprintf( __('UTM switcher draft updated.', 'utm-switcher'), esc_url( add_query_arg( 'preview', 'true', $permalink ) ) ),
	);

	return $messages;
}
add_filter( 'post_updated_messages', 'utm_switcher_updated_messages' );
